Modify a recipient
curl --request PATCH \
--url https://api-sandbox.circle.com/v1/addressBook/recipients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"nickname": "sample nickname",
"email": "satoshi@circle.com",
"bns": "sample.circle"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/addressBook/recipients/{id}"
payload = { "metadata": {
"nickname": "sample nickname",
"email": "satoshi@circle.com",
"bns": "sample.circle"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {nickname: 'sample nickname', email: 'satoshi@circle.com', bns: 'sample.circle'}
})
};
fetch('https://api-sandbox.circle.com/v1/addressBook/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "8755d0ea-14f9-4259-b092-de23c14b6568",
"chain": "ETH",
"address": "0x45bfcf1a6289a0b77b4d3f7d12005a05949fd8c3",
"metadata": {
"nickname": "sample nickname",
"email": "satoshi@circle.com",
"bns": "sample.circle"
},
"status": "pending",
"createDate": "2022-07-21T20:13:35.578678Z",
"updateDate": "2022-07-21T20:19:24.859052Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Modify a recipient
Updates address book recipient metadata.
PATCH
/
v1
/
addressBook
/
recipients
/
{id}
Modify a recipient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
application/json
Recipient metadata. For Singapore (CIRCLE_SG) customers creating a self-hosted (ownership.custody.type = self_hosted) entry, email is required (validation error 2038).
Show child attributes
Show child attributes
Response
Successfully updated the address book recipient.
Recipient returned after a metadata update. The payload omits identity and ownership for all Circle entities.
Show child attributes
Show child attributes
Was this page helpful?
⌘I